<?
ob_start();
require'../sys/head.php';
require'../sys/conf.php';
require'../sys/sess.php';
require'../otsev.php';
echo"<b>Турнир</b><br/>";
if(empty($_GET[tur])){
if($re0[status]==1){echo"<a href='turnir.php?tur=1&der=$key'>Управление</a><br/>";}
echo"<a href='turnir.php?tur=2&der=$key'>Правила Турнира</a><br/>";
echo"<a href='turnir.php?tur=3&der=$key'>Подать заявку</a><br/>";
echo"<a href='turnir.php?tur=4&der=$key'>Забрать логин/пароль</a><br/>";
}
if($_GET[tur]==1){
if($re0[status]==1){
if(empty($_GET[t])){
echo"<a href='turnir.php?tur=1&t=1&der=$key'>Вкл. таймер Турнира</a><br/>";
echo"<a href='turnir.php?tur=1&t=2&der=$key'>Начать Турнир(вручн.)</a><br/>";
echo"<a href='turnir.php?tur=1&t=3&der=$key'>Список заявок</a><br/>";
echo"<a href='turnir.php?tur=1&t=4&der=$key'>Регистрация Турнира</a><br/>";
echo"<a href='turnir.php?tur=1&t=5&der=$key'>Выдача призов</a><br/>";
}
if($_GET[t]==1){
if(empty($_POST[name])){
echo'<FORM ACTION="turnir.php?der='.$key.'&tur=1&t=1" METHOD="POST">';?>
Название:<br/>
<input format="*N"name="name" maxlength="14"/><br/>
<input type="submit" value="отправить">
</FORM><?}else{
$a=$_POST[name];$b=time()+(3600*24*3);$c='';
mysql_query("TRUNCATE turnir");
mysql_query("INSERT INTO tur (name,time,win) VALUE ('$a,'$b','$c')");
echo"Таймер включен!$a турнир запущен!<br/>";
}
}
if($_GET[t]==2){
$a=time()-1;
mysql_query("UPDATE tur SET time='$a'");
echo"Турнир начат досрочно!<br/>";
}
if($_GET[t]==3){
$sum = 250; // число записей на странице
$result = mysql_query("SELECT count(id) as a from turnir"); 
$arr = mysql_fetch_row($result);$rec = $arr[0];
if(!isset($_GET['str'])){$str = 0;}else
{$str = $_GET['str'];}$start = $str * $sum;
$r = mysql_query("SELECT * FROM turnir order by `id` LIMIT $start, $sum");
$n = mysql_num_rows($r);for ($i = 0; $i < $n; $i++){
////////////////вывод
$m= mysql_fetch_array($r);			   
echo"[$m[id]]($m[login])($m[log])($m[pas])[$m[gos]]<br/>";
////////////////
}
}
if($_GET[t]==4){
////////////
$iSum=0;
for($i=1; $i<=5; $i++)
{
   $iSum+=$i;echo"[$i]$iSum<br/>";
}
/////////////////
if(empty($_GET[s])){
echo"<a href='turnir.php?tur=1&t=4&s=1&der=$key'>Пустышки</a><br/>";
echo"<a href='turnir.php?tur=1&t=4&s=2&der=$key'>Западный рубеж</a><br/>";
echo"<a href='turnir.php?tur=1&t=4&s=3&der=$key'>Восточный рубеж</a><br/>";
echo"<a href='turnir.php?tur=1&t=4&s=4&der=$key'>Страны</a><br/>";
}
if($_GET[s]==2){
/////////////////////////////////////////
$time=time();
$pus=rand(111111,999999);$time2=$time+1;
$strana='{Западный РУБЕЖ}';
mysql_query("INSERT INTO gos (login,strana,datareg,datanal,datavor,dataver,datasab,datawpk) VALUES
('K','$strana $pus','$time','$time','$time','$time','$time','$time')");
$v1=rand(700,1300);$v2=rand(100,700);$v3=4000;
mysql_query("INSERT INTO gos2 (strana,gora,lesa,land) VALUES('$strana $pus','$v1','$v2','$v3')");
mysql_query("INSERT INTO domik (strana,domik5) VALUES ('$strana $pus','1')");
$mon = mysql_query("SELECT login,strana FROM gos WHERE datareg<'$time' ORDER BY datareg DESC, datareg asc LIMIT 0,4");
while($arr = mysql_fetch_array($mon)){
$dat=time();
mysql_query("INSERT INTO sosed (strana1,strana2) VALUES('$strana $pus','$arr[strana]')");
if($arr[login]!='K'){
mysql_query("INSERT INTO mess (komu,kto,data,st,tip,text) VALUES('$arr[strana]','@','$dat','0','0','Новое соседнее гос-во $strana $pus')");
}}
/////////////////////////////////////////
}
if($_GET[s]==3){
/////////////////////////////////////////
$time=time();
$pus=rand(111111,999999);$time2=$time+1;
$strana='{Восточный РУБЕЖ}';
mysql_query("INSERT INTO gos (login,strana,datareg,datanal,datavor,dataver,datasab,datawpk) VALUES
('K','$strana $pus','$time','$time','$time','$time','$time','$time')");
$v1=rand(700,1300);$v2=rand(100,700);$v3=4000;
mysql_query("INSERT INTO gos2 (strana,gora,lesa,land) VALUES('$strana $pus','$v1','$v2','$v3')");
mysql_query("INSERT INTO domik (strana,domik5) VALUES ('$strana $pus','1')");
$mon = mysql_query("SELECT login,strana FROM gos WHERE datareg<'$time' ORDER BY datareg DESC, datareg asc LIMIT 0,4");
while($arr = mysql_fetch_array($mon)){
$dat=time();
mysql_query("INSERT INTO sosed (strana1,strana2) VALUES('$strana $pus','$arr[strana]')");
if($arr[login]!='K'){
mysql_query("INSERT INTO mess (komu,kto,data,st,tip,text) VALUES('$arr[strana]','@','$dat','0','0','Новое соседнее гос-во $strana $pus')");
}}
/////////////////////////////////////////
}
if($_GET[s]==4){
$result = mysql_query("SELECT count(id) as a from turnir"); 
$arr = mysql_fetch_row($result);$rec = $arr[0];
/////////////
$rn=1;
$rand=rand($rn,$rec);
$rn = qw("SELECT * FROM turnir WHERE id='$rand'");
while($mon3 = mysql_fetch_array($rn)){
if($mon3[gos]==''){header("Location: turnir.php?tur=1&t=4&s=4&der=$key");}else{
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
$time=time();
$pus=rand(111111,999999);$time2=$time+1;
$strana='{ТУР-Пустыня}';
mysql_query("INSERT INTO gos (login,strana,datareg,datanal,datavor,dataver,datasab,datawpk) VALUES
('K','$strana $pus','$time','$time','$time','$time','$time','$time')");
$v1=rand(700,1300);$v2=rand(100,700);$v3=4000;
mysql_query("INSERT INTO gos2 (strana,gora,lesa,land) VALUES('$strana $pus','$v1','$v2','$v3')");
mysql_query("INSERT INTO domik (strana,domik5) VALUES ('$strana $pus','1')");
$mon = mysql_query("SELECT login,strana FROM gos WHERE datareg<'$time' ORDER BY datareg DESC, datareg asc LIMIT 0,4");
while($arr = mysql_fetch_array($mon)){
$dat=time();
mysql_query("INSERT INTO sosed (strana1,strana2) VALUES('$strana $pus','$arr[strana]')");
if($arr[login]!='K'){
mysql_query("INSERT INTO mess (komu,kto,data,st,tip,text) VALUES('$arr[strana]','@','$dat','0','0','Новое соседнее гос-во $strana $pus')");
}}
$time=time();
$pus=rand(111111,999999);$time2=$time+1;
$strana='{ТУР-Пустыня}';
mysql_query("INSERT INTO gos (login,strana,datareg,datanal,datavor,dataver,datasab,datawpk) VALUES
('K','$strana $pus','$time','$time','$time','$time','$time','$time')");
$v1=rand(700,1300);$v2=rand(100,700);$v3=4000;
mysql_query("INSERT INTO gos2 (strana,gora,lesa,land) VALUES('$strana $pus','$v1','$v2','$v3')");
mysql_query("INSERT INTO domik (strana,domik5) VALUES ('$strana $pus','1')");
$mon = mysql_query("SELECT login,strana FROM gos WHERE datareg<'$time' ORDER BY datareg DESC, datareg asc LIMIT 0,4");
while($arr = mysql_fetch_array($mon)){
$dat=time();
mysql_query("INSERT INTO sosed (strana1,strana2) VALUES('$strana $pus','$arr[strana]')");
if($arr[login]!='K'){
mysql_query("INSERT INTO mess (komu,kto,data,st,tip,text) VALUES('$arr[strana]','@','$dat','0','0','Новое соседнее гос-во $strana $pus')");
}}
$time=time();
$pus=rand(111111,999999);$time2=$time+1;
$strana='{ТУР-Пустыня}';
mysql_query("INSERT INTO gos (login,strana,datareg,datanal,datavor,dataver,datasab,datawpk) VALUES
('K','$strana $pus','$time','$time','$time','$time','$time','$time')");
$v1=rand(700,1300);$v2=rand(100,700);$v3=4000;
mysql_query("INSERT INTO gos2 (strana,gora,lesa,land) VALUES('$strana $pus','$v1','$v2','$v3')");
mysql_query("INSERT INTO domik (strana,domik5) VALUES ('$strana $pus','1')");
$mon = mysql_query("SELECT login,strana FROM gos WHERE datareg<'$time' ORDER BY datareg DESC, datareg asc LIMIT 0,4");
while($arr = mysql_fetch_array($mon)){
$dat=time();
mysql_query("INSERT INTO sosed (strana1,strana2) VALUES('$strana $pus','$arr[strana]')");
if($arr[login]!='K'){
mysql_query("INSERT INTO mess (komu,kto,data,st,tip,text) VALUES('$arr[strana]','@','$dat','0','0','Новое соседнее гос-во $strana $pus')");
}}
///////////////////////////
$log=rand(1111111,9999999);$pas=rand(1111111,9999999);$ta='TUR';$tb=rand(11111,99999);$tt="$ta$tb";
$time=time();$time2=$time+1;
$strana="{$tt}";
$par1=md5($pas);$par2=substr($par1,0,6);
$par3=md5($par2);
echo"($rand)($strana)($mon3[0])($log)($pas)[$mon3[id]]<br/>";
mysql_query("UPDATE `turnir` SET `log`='$log',`pas`='$pas',`gos`='$strana' WHERE `login`='$mon3[login]'");
qw("INSERT INTO users (login,pass,mail,data,tema) VALUES('$log','$par3','','$time','2')");
mysql_query("INSERT INTO gos (login,strana,datareg,datanal,datavor,dataver,datasab,datawpk) VALUES
('$log','$strana','$time','$time','$time','$time','$time','$time')");
$v1=rand(700,1300);$v2=rand(100,700);$v3=4000;
mysql_query("INSERT INTO gos2 (strana,gora,lesa,land) VALUES('$strana','$v1','$v2','$v3')");
mysql_query("INSERT INTO domik (strana) VALUES ('$strana')");
$mon = mysql_query("SELECT login,strana FROM gos WHERE datareg<'$time' ORDER BY datareg DESC, datareg asc LIMIT 0,4");
while($arr = mysql_fetch_array($mon)){
$dat=time();
mysql_query("INSERT INTO sosed (strana1,strana2) VALUES('$strana','$arr[strana]')");
if($arr[login]!='K'){
mysql_query("INSERT INTO mess (komu,kto,data,st,tip,text) VALUES('$arr[strana]','@','$dat','0','0','Новое соседнее гос-во $strana')");
}}

//////////////////////////
$time=time();
$pus=rand(111111,999999);$time2=$time+1;
$strana='{ТУР-Пустыня}';
mysql_query("INSERT INTO gos (login,strana,datareg,datanal,datavor,dataver,datasab,datawpk) VALUES
('K','$strana $pus','$time','$time','$time','$time','$time','$time')");
$v1=rand(700,1300);$v2=rand(100,700);$v3=4000;
mysql_query("INSERT INTO gos2 (strana,gora,lesa,land) VALUES('$strana $pus','$v1','$v2','$v3')");
mysql_query("INSERT INTO domik (strana,domik5) VALUES ('$strana $pus','1')");
$mon = mysql_query("SELECT login,strana FROM gos WHERE datareg<'$time' ORDER BY datareg DESC, datareg asc LIMIT 0,4");
while($arr = mysql_fetch_array($mon)){
$dat=time();
mysql_query("INSERT INTO sosed (strana1,strana2) VALUES('$strana $pus','$arr[strana]')");
if($arr[login]!='K'){
mysql_query("INSERT INTO mess (komu,kto,data,st,tip,text) VALUES('$arr[strana]','@','$dat','0','0','Новое соседнее гос-во $strana $pus')");
}}
$time=time();
$pus=rand(111111,999999);$time2=$time+1;
$strana='{ТУР-Пустыня}';
mysql_query("INSERT INTO gos (login,strana,datareg,datanal,datavor,dataver,datasab,datawpk) VALUES
('K','$strana $pus','$time','$time','$time','$time','$time','$time')");
$v1=rand(700,1300);$v2=rand(100,700);$v3=4000;
mysql_query("INSERT INTO gos2 (strana,gora,lesa,land) VALUES('$strana $pus','$v1','$v2','$v3')");
mysql_query("INSERT INTO domik (strana,domik5) VALUES ('$strana $pus','1')");
$mon = mysql_query("SELECT login,strana FROM gos WHERE datareg<'$time' ORDER BY datareg DESC, datareg asc LIMIT 0,4");
while($arr = mysql_fetch_array($mon)){
$dat=time();
mysql_query("INSERT INTO sosed (strana1,strana2) VALUES('$strana $pus','$arr[strana]')");
if($arr[login]!='K'){
mysql_query("INSERT INTO mess (komu,kto,data,st,tip,text) VALUES('$arr[strana]','@','$dat','0','0','Новое соседнее гос-во $strana $pus')");
}}
$time=time();
$pus=rand(111111,999999);$time2=$time+1;
$strana='{ТУР-Пустыня}';
mysql_query("INSERT INTO gos (login,strana,datareg,datanal,datavor,dataver,datasab,datawpk) VALUES
('K','$strana $pus','$time','$time','$time','$time','$time','$time')");
$v1=rand(700,1300);$v2=rand(100,700);$v3=4000;
mysql_query("INSERT INTO gos2 (strana,gora,lesa,land) VALUES('$strana $pus','$v1','$v2','$v3')");
mysql_query("INSERT INTO domik (strana,domik5) VALUES ('$strana $pus','1')");
$mon = mysql_query("SELECT login,strana FROM gos WHERE datareg<'$time' ORDER BY datareg DESC, datareg asc LIMIT 0,4");
while($arr = mysql_fetch_array($mon)){
$dat=time();
mysql_query("INSERT INTO sosed (strana1,strana2) VALUES('$strana $pus','$arr[strana]')");
if($arr[login]!='K'){
mysql_query("INSERT INTO mess (komu,kto,data,st,tip,text) VALUES('$arr[strana]','@','$dat','0','0','Новое соседнее гос-во $strana $pus')");
}}
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
}}
/////////////////////
}
if($_GET[s]==1){
$iSum=0;
for($i=1; $i<=5; $i++)
{
/////////////////////////////////////////
$time=time();
$pus=rand(111111,999999);$time2=$time+1;
$strana='{ТУР-Пустыня}';
mysql_query("INSERT INTO gos (login,strana,datareg,datanal,datavor,dataver,datasab,datawpk) VALUES
('K','$strana $pus','$time','$time','$time','$time','$time','$time')");
$v1=rand(700,1300);$v2=rand(100,700);$v3=4000;
mysql_query("INSERT INTO gos2 (strana,gora,lesa,land) VALUES('$strana $pus','$v1','$v2','$v3')");
mysql_query("INSERT INTO domik (strana,domik5) VALUES ('$strana $pus','1')");
$mon = mysql_query("SELECT login,strana FROM gos WHERE datareg<'$time' ORDER BY datareg DESC, datareg asc LIMIT 0,4");
while($arr = mysql_fetch_array($mon)){
$dat=time();
mysql_query("INSERT INTO sosed (strana1,strana2) VALUES('$strana $pus','$arr[strana]')");
if($arr[login]!='K'){
mysql_query("INSERT INTO mess (komu,kto,data,st,tip,text) VALUES('$arr[strana]','@','$dat','0','0','Новое соседнее гос-во $strana $pus')");
}}
/////////////////////////////////////////
}echo"+5 пустышек !<br/>";}

}
if($_GET[t]==5){

}
}else{echo"Доступ закрыт!<br/>";}
}

if($_GET[tur]==2){
echo"<u>Правила и порядок проведения</u><br/>
Учавствовать можно только 
одной страной.Запрещён контакт через биржу между турнирными и игровыми странами. 
Цель турнира- уничтожить всех участников и остаться одному.Разрешено так-же и двум 
выиграть если они заключили предварительно союз.Приз победителю-250 RB в любую 
страну(по желанию.даже можно в только-что зарегистрированую).<br/>
Не забудьте ниженаписаные правила турнира.<br/>
<b>п 1</b>. С какого профиля подавали заявку,с того и забирайте логин/пароль.<br/>
<b>п 2</b>. Запрещён любой контакт  между турнирными и игровыми странами или пустынями(БЛОК на турнирнурную страну).<br/>
<b>п 3</b>. Цель турнира-уничтожить всех участников и остаться одному(одной).<br/>
<b>п 4</b>. ЗАПРЕЩЕНО заключать союзы .<br/>
<b>п 5</b>. Приз победителю 250 RB.<br/>
<b>п 6</b>. Приз передаётся в любую страну победителя(даже во вновь зарегистрированую).<br/>
<b>п 7</b>. Подача заявки бесплатная.<br/>
<b>п 8</b>. За 30 мин. до начала турнира администрация регистрирует турнирнирные страны и турнирные пустыни и <br/>выставляет на отдельной странице ключи для игроков подавших заявки.<br/>
<b>п 9</b>. Турнирным странам запрещено нападать на восточные и западные рубежи и их пустыни.А так-же воровать и вербовать у них(БЛОК).
<br/>Так-же запрещено нападать и применять ком.центр против обычных игровых пустынь или стран<br/>
<b>п 10</b>.В случае если в турнире осталось двое и они соседи,и в течение 24ч кто-нибудь не начнёт есть другого - победа засчитывается западной стране.<br/>
<b>п 11</b>.По окончании турнира,все турнирные страны и пустыни(если нет вторжения) удаляются администрацией.<br/>";
}
if($_GET[tur]==3){
if(empty($_GET[t])){
echo"Вы действительно хотите подать заявку на Турнир?<br/><a href='turnir.php?tur=3&t=1&der=$key'>ДА</a><br/><a href='turnir.php?der=$key'>НЕТ</a><br/>";
}else{
$sp=mysql_fetch_array(qw("SELECT id FROM turnir WHERE login='$re0[login]'"));
if($sp[id]>0){echo"Вы уже подали заявку!<br/>";}else{
mysql_query("INSERT INTO turnir (login) VALUE ('$re0[login]')");
echo"Ваша заявка принята!<br/>";
}}}
if($_GET[tur]==4){
$sp=mysql_fetch_array(qw("SELECT * FROM turnir WHERE login='$re0[login]'"));
if($sp[id]>0){
echo"Логин : $sp[log]<br/>Пароль : $sp[pas]<br/>Страна : $sp[gos]<br/><a href='../../enter.php?login=$sp[log]&pass=$sp[pas]'>Играть</a><br/>";
}else{
echo"Вы не подавали заявку!<br/>";
}
}
echo"<a href=../game.php?der=$key>В страну</a>";
require'../sys/foot.php';
?>